DeluxHostAPI Reference
Support tickets

Get ticket details

GET
/v1/tickets/{id}

Authorization

apiToken tickets:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: tickets:read

Path Parameters

id*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
messages*array<>
attachments*array<>
messagesTotal*number
messagesTruncated*boolean
mergedInto?
linkedTickets*array<>
id*number
number*string
subject*string
status*string
priority*string
department*string
lastActivityAt*string
Formatdate-time
createdAt*string
Formatdate-time
closedAt?string
Formatdate-time
messageCount?number
relatedOrderId?number
relatedServiceName?string
rating?number
ratedAt?string
Formatdate-time
mergedIntoTicketId?number
curl -X GET 'https://api.deluxhost.net/v1/tickets/0' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "messages": [    {      "id": 0,      "authorId": "string",      "authorRole": "string",      "authorName": "string",      "body": "string",      "internal": true,      "createdAt": "2019-08-24T14:15:22Z",      "system": {        "kind": "string",        "ticketId": 0,        "ticketNumber": "string"      }    }  ],  "attachments": [    {      "id": 0,      "messageId": 0,      "filename": "string",      "contentType": "string",      "sizeBytes": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "messagesTotal": 0,  "messagesTruncated": true,  "mergedInto": {    "id": 0,    "number": "string",    "subject": "string",    "status": "string"  },  "linkedTickets": [    {      "id": 0,      "number": "string",      "subject": "string",      "status": "string",      "userId": "string",      "userEmail": "string",      "sameCustomer": true    }  ],  "id": 0,  "number": "string",  "subject": "string",  "status": "string",  "priority": "string",  "department": "string",  "lastActivityAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "closedAt": "2019-08-24T14:15:22Z",  "messageCount": 0,  "relatedOrderId": 0,  "relatedServiceName": "string",  "rating": 0,  "ratedAt": "2019-08-24T14:15:22Z",  "mergedIntoTicketId": 0}